<?php
class Bairro {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            $this->insert($dados);
        else
            $this->update($dados);
    }
 
    private function insert($dados) {

		$query = "insert into bairro_bai ".
				 "(bai_nome) ".
				 "VALUES ".
				 "(:bai_nome) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
        $stmt->bindParam(':bai_nome', $dados['bai_nome']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update bairro_bai set ".
				 "bai_nome = :bai_nome ".
				 "where bai_codigo = :bai_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':bai_nome', $dados['bai_nome']);
        $stmt->bindParam(':bai_codigo', $dados['id']);
        $stmt->execute();
    }
 
    public function delete($id) {
		$query = "delete from bairro_bai ".
				 "where bai_codigo = :bai_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':bai_codigo', $id);
        $stmt->execute();
    }

    public function selecionaBairro($id) {
        $stmt   = $this->con->connect()->prepare("select * from bairro_bai where bai_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaBairros() {
        $stmt   = $this->con->connect()->prepare("select * from bairro_bai");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

}