<?php
class BuscaImoveis {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
   
    public function selecionaBuscaImoveis($codigo, $tipo, $vfinalidade, $estado, $cidade, $bairro, $valorini, $valorfim) {
			$sql = "select * from ".
			"imovel_imv inner join ".
			"estado_est on est_codigo = imv_est_codigo inner join ".
			"cidade_cid on cid_codigo = imv_cid_codigo inner join ".
			"bairro_bai on bai_codigo = imv_bai_codigo inner join ".
			"tipoimovel_tpi on tpi_codigo = imv_tpi_codigo inner join ".
			"finalidade_fin on fin_codigo = imv_fin_codigo ".
			"where (imv_publicado = 1) and".
			"(imv_codigo = :imv_codigo or :imv_codigo = 0) and ".
			"(imv_tpi_codigo = :imv_tpi_codigo or :imv_tpi_codigo = 0) and ".
			"(imv_fin_codigo = :imv_fin_codigo or :imv_fin_codigo = 0) and ".
			"(imv_est_codigo = :imv_est_codigo or :imv_est_codigo = 0) and ".
			"(imv_cid_codigo = :imv_cid_codigo or :imv_cid_codigo = 0) and ".
			"(imv_bai_codigo = :imv_bai_codigo or :imv_bai_codigo = 0) and ".
			"(imv_valor >= :imv_valorini or :imv_valorini = 0) and ".
			"(imv_valor <= :imv_valorfim or :imv_valorfim = 0)";
			
		
        $stmt   = $this->con->connect()->prepare($sql);
		$stmt->bindParam(':imv_codigo', $codigo);	
		$stmt->bindParam(':imv_tpi_codigo', $tipo);	
		$stmt->bindParam(':imv_fin_codigo', $vfinalidade);	
		$stmt->bindParam(':imv_est_codigo', $estado);	
		$stmt->bindParam(':imv_cid_codigo', $cidade);	
		$stmt->bindParam(':imv_bai_codigo', $bairro);	
		$stmt->bindParam(':imv_valorini', $valorini);	
		$stmt->bindParam(':imv_valorfim', $valorfim);	
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

    public function selecionaImovel($codigo) {
			$sql = "select * from ".
			"imovel_imv inner join ".
			"estado_est on est_codigo = imv_est_codigo inner join ".
			"cidade_cid on cid_codigo = imv_cid_codigo inner join ".
			"bairro_bai on bai_codigo = imv_bai_codigo inner join ".
			"tipoimovel_tpi on tpi_codigo = imv_tpi_codigo inner join ".
			"finalidade_fin on fin_codigo = imv_fin_codigo ".
			"where ".
			"imv_codigo = :imv_codigo";
			
        $stmt   = $this->con->connect()->prepare($sql);
		$stmt->bindParam(':imv_codigo', $codigo);	
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }

    public function selecionaDetalhesImoveis($id) {
        $stmt   = $this->con->connect()->prepare(
			"select * from ".
			"caracteristica_cat inner join ".
			"imvcat_imc on imc_cat_codigo = cat_codigo ".
			"where imc_imv_codigo = :id ".
			"order by cat_indice, cat_tipo"

			);
		$stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

    public function selecionaImagensImovel($id) {
        $stmt   = $this->con->connect()->prepare("select * from imagemimovel_img where img_imv_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }
    public function selecionaThumbsImovel($id) {
        $stmt   = $this->con->connect()->prepare("select * from imagemimovel_img where img_imv_codigo = :id and img_thumbs=1");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }


    public function selecionaBuscaImoveisByDestaque() {
			$sql = "select * from ".
			"imovel_imv inner join ".
			"estado_est on est_codigo = imv_est_codigo inner join ".
			"cidade_cid on cid_codigo = imv_cid_codigo inner join ".
			"bairro_bai on bai_codigo = imv_bai_codigo inner join ".
			"tipoimovel_tpi on tpi_codigo = imv_tpi_codigo inner join ".
			"finalidade_fin on fin_codigo = imv_fin_codigo ".
			"where ".
			"imv_destaque = 1";
			
		
        $stmt   = $this->con->connect()->prepare($sql);
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }
	
}
