<?php
class Caracteristica {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            $this->insert($dados);
        else
            $this->update($dados);
    }
 
    private function insert($dados) {

		$query = "insert into caracteristica_cat ".
				 "(cat_nome, cat_tipo, cat_default, cat_indice, cat_icone) ".
				 "VALUES ".
				 "(:cat_nome, :cat_tipo, :cat_default, :cat_indice, :cat_icone) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
        $stmt->bindParam(':cat_nome', $dados['cat_nome']);
		$stmt->bindParam(':cat_tipo', $dados['cat_tipo']);
		$stmt->bindParam(':cat_default', $dados['cat_default']);
		$stmt->bindParam(':cat_indice', $dados['cat_indice']);
		$stmt->bindParam(':cat_icone', $dados['cat_icone']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update caracteristica_cat set ".
				 "cat_nome = :cat_nome, cat_tipo = :cat_tipo, ".
				 "cat_default = :cat_default, cat_indice = :cat_indice, cat_icone = :cat_icone ".
				 "where cat_codigo = :cat_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':cat_nome', $dados['cat_nome']);
		$stmt->bindParam(':cat_tipo', $dados['cat_tipo']);
		$stmt->bindParam(':cat_default', $dados['cat_default']);
		$stmt->bindParam(':cat_indice', $dados['cat_indice']);
		$stmt->bindParam(':cat_icone', $dados['cat_icone']);
        $stmt->bindParam(':cat_codigo', $dados['cat_codigo']);
        $stmt->execute();
    }
 
    public function delete($id) {
		$query = "delete from caracteristica_cat ".
				 "where cat_codigo = :cat_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':cat_codigo', $id);
        $stmt->execute();
    }

    public function selecionaCaracteristica($id) {
        $stmt   = $this->con->connect()->prepare("select * from caracteristica_cat where cat_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaCaracteristicas() {
        $stmt   = $this->con->connect()->prepare("select * from caracteristica_cat");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

}