<?php
class Cidade {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            $this->insert($dados);
        else
            $this->update($dados);
    }
 
    private function insert($dados) {

		$query = "insert into cidade_cid ".
				 "(cid_nome) ".
				 "VALUES ".
				 "(:cid_nome) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
        $stmt->bindParam(':cid_nome', $dados['cid_nome']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update cidade_cid set ".
				 "cid_nome = :cid_nome ".
				 "where cid_codigo = :cid_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':cid_nome', $dados['cid_nome']);
        $stmt->bindParam(':cid_codigo', $dados['cid_codigo']);
        $stmt->execute();
    }
 
    public function delete($id) {
		$query = "delete from cidade_cid ".
				 "where cid_codigo = :cid_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':cid_codigo', $id);
        $stmt->execute();
    }

    public function selecionaCidade($id) {
        $stmt   = $this->con->connect()->prepare("select * from cidade_cid where cid_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaCidades() {
        $stmt   = $this->con->connect()->prepare("select * from cidade_cid");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

}