<?php
class Estado {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            $this->insert($dados);
        else
            $this->update($dados);
    }
 
    private function insert($dados) {
		
		$query = "insert into estado_est ".
				 "(est_nome, est_sigla) ".
				 "VALUES ".
				 "(:est_nome, :est_sigla) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
        $stmt->bindParam(':est_nome', $dados['est_nome']);
        $stmt->bindParam(':est_sigla', $dados['est_sigla']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update estado_est set ".
				 "est_nome = :est_nome, est_sigla = :est_sigla ".
				 "where est_codigo = :est_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':est_nome', $dados['est_nome']);
        $stmt->bindParam(':est_sigla', $dados['est_sigla']);
        $stmt->bindParam(':est_codigo', $dados['est_codigo']);
        $stmt->execute();
    }
 
     public function delete($id) {
		$query = "delete from estado_est ".
				 "where est_codigo = :est_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':est_codigo', $id);
        $stmt->execute();
    }

	public function selecionaEstado($id) {
        $stmt   = $this->con->connect()->prepare("select * from estado_est where est_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaEstados() {
        $stmt   = $this->con->connect()->prepare("select * from estado_est");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

}