<?php
class Finalidade {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            $this->insert($dados);
        else
            $this->update($dados);
    }
 
    private function insert($dados) {

		$query = "insert into finalidade_fin ".
				 "(fin_nome) ".
				 "VALUES ".
				 "(:fin_nome) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
        $stmt->bindParam(':fin_nome', $dados['fin_nome']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update finalidade_fin set ".
				 "fin_nome = :fin_nome ".
				 "where fin_codigo = :fin_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':fin_nome', $dados['fin_nome']);
        $stmt->bindParam(':fin_codigo', $dados['fin_codigo']);
        $stmt->execute();
    }
 
    public function delete($id) {
		$query = "delete from finalidade_fin ".
				 "where fin_codigo = :fin_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':fin_codigo', $id);
        $stmt->execute();
    }

    public function selecionaFinalidade($id) {
        $stmt   = $this->con->connect()->prepare("select * from finalidade_fin where fin_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaFinalidades() {
        $stmt   = $this->con->connect()->prepare("select * from finalidade_fin");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

}