<?php
class ImagemImovel {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            $this->insert($dados);
        else
            $this->update($dados);
    }
 
    private function insert($dados) {

		$query = "insert into imagemimovel_img ".
				 "(img_imv_codigo, img_thumbs, img_imagem, img_ordem) ".
				 "VALUES ".
				 "(:img_imv_codigo, :img_thumbs, :img_imagem, :img_ordem) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
        $stmt->bindParam(':img_imv_codigo', $dados['img_imv_codigo']);
        $stmt->bindParam(':img_thumbs', $dados['img_thumbs']);
        $stmt->bindParam(':img_imagem', $dados['img_imagem']);
        $stmt->bindParam(':img_ordem', $dados['img_ordem']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update imagemimovel_img set ".
				 "img_imv_codigo = :img_imv_codigo, ".
				 "img_thumbs = :img_thumbs, ".
				 "img_imagem = :img_imagem, ".
				 "img_ordem = :img_ordem, ".
				 "where img_codigo = :img_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':img_imv_codigo', $dados['img_imv_codigo']);
        $stmt->bindParam(':img_thumbs', $dados['img_thumbs']);
        $stmt->bindParam(':img_imagem', $dados['img_imagem']);
        $stmt->bindParam(':img_ordem', $dados['img_ordem']);
        $stmt->bindParam(':img_codigo', $dados['img_codigo']);
        $stmt->execute();
    }

	public function delete($id) {
		$query = "delete from imagemimovel_img ".
				 "where img_codigo = :img_codigo";
		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':img_codigo', $id);
        $stmt->execute();
    }

    public function setdefault($id, $imovel) {
		$query = "update imagemimovel_img set img_thumbs = 0 where img_imv_codigo = :img_imv_codigo";
		$stmt = $this->con->connect()->prepare($query);
		$stmt->bindParam(':img_imv_codigo', $imovel);
        $stmt->execute();

		$query = "update imagemimovel_img set img_thumbs = 1 where img_codigo = :img_codigo";
		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':img_codigo', $id);
        $stmt->execute();				 
    }
 
    public function selecionaImagemImovel($id) {
        $stmt   = $this->con->connect()->prepare("select * from imagemimovel_img where img_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
    public function selecionaImagensImovel($id) {
        $stmt   = $this->con->connect()->prepare("select * from imagemimovel_img where img_imv_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

}