<?php
class Imovel {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            return $this->insert($dados);
        else {
            $this->update($dados);
			return $dados['id'];
		}
    }
 
    private function insert($dados) {

		$query = "insert into imovel_imv ".
				 "(imv_est_codigo, imv_cid_codigo, imv_bai_codigo, imv_fin_codigo, imv_tpi_codigo, imv_ims_codigo, imv_titulo, imv_descricao, imv_reservado, ".
				 "imv_endereco, imv_numero, imv_complemento, imv_publicado, imv_valor, imv_iptu, imv_condominio, imv_outrastaxas, imv_observacao, imv_mapa, imv_destaque) ".
				 "VALUES ".
				 "(:imv_est_codigo, :imv_cid_codigo, :imv_bai_codigo, :imv_fin_codigo, :imv_tpi_codigo, :imv_ims_codigo, :imv_titulo, :imv_descricao, :imv_reservado, ".
				 ":imv_endereco, :imv_numero, :imv_complemento, :imv_publicado, :imv_valor, :imv_iptu, :imv_condominio, :imv_outrastaxas, :imv_observacao, :imv_mapa, :imv_destaque) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
		$stmt->bindParam(':imv_est_codigo', $dados['imv_est_codigo']);
		$stmt->bindParam(':imv_cid_codigo', $dados['imv_cid_codigo']);
		$stmt->bindParam(':imv_bai_codigo', $dados['imv_bai_codigo']);
		$stmt->bindParam(':imv_fin_codigo', $dados['imv_fin_codigo']);
		$stmt->bindParam(':imv_tpi_codigo', $dados['imv_tpi_codigo']);
		$stmt->bindParam(':imv_ims_codigo', $dados['imv_ims_codigo']);
		$stmt->bindParam(':imv_titulo', $dados['imv_titulo']);
		$stmt->bindParam(':imv_descricao', $dados['imv_descricao']);
		$stmt->bindParam(':imv_endereco', $dados['imv_endereco']);
		$stmt->bindParam(':imv_numero', $dados['imv_numero']);
		$stmt->bindParam(':imv_complemento', $dados['imv_complemento']);
		$stmt->bindParam(':imv_publicado', $dados['imv_publicado']);
		$stmt->bindParam(':imv_valor', str_replace(',', '.', str_replace('.', '', $dados['imv_valor'])));
		$stmt->bindParam(':imv_iptu', str_replace(',', '.', str_replace('.', '', $dados['imv_iptu'])));
		$stmt->bindParam(':imv_condominio', str_replace(',', '.', str_replace('.', '', $dados['imv_condominio'])));
		$stmt->bindParam(':imv_outrastaxas', str_replace(',', '.', str_replace('.', '', $dados['imv_outrastaxas'])));
		$stmt->bindParam(':imv_observacao',$dados['imv_observacao']);
		$stmt->bindParam(':imv_mapa',$dados['imv_mapa']);
		$stmt->bindParam(':imv_reservado',$dados['imv_reservado']);
		$stmt->bindParam(':imv_destaque',$dados['imv_destaque']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update imovel_imv set ".
				 "imv_est_codigo = :imv_est_codigo, imv_cid_codigo = :imv_cid_codigo, ".
				 "imv_bai_codigo = :imv_bai_codigo, imv_fin_codigo = :imv_fin_codigo, imv_tpi_codigo = :imv_tpi_codigo, ".
				 "imv_ims_codigo = :imv_ims_codigo, imv_titulo = :imv_titulo, imv_descricao = :imv_descricao, ".
				 "imv_endereco = :imv_endereco, imv_numero = :imv_numero, imv_complemento = :imv_complemento, ".
				 "imv_publicado = :imv_publicado, imv_valor = :imv_valor, imv_iptu = :imv_iptu, ".
				 "imv_condominio = :imv_condominio, imv_outrastaxas = :imv_outrastaxas, imv_observacao = :imv_observacao, ".
				 "imv_mapa = :imv_mapa, imv_destaque = :imv_destaque, imv_reservado = :imv_reservado ".
				 "where imv_codigo = :imv_codigo";

		$stmt = $this->con->connect()->prepare($query);
		$stmt->bindParam(':imv_est_codigo', $dados['imv_est_codigo']);
		$stmt->bindParam(':imv_cid_codigo', $dados['imv_cid_codigo']);
		$stmt->bindParam(':imv_bai_codigo', $dados['imv_bai_codigo']);
		$stmt->bindParam(':imv_fin_codigo', $dados['imv_fin_codigo']);
		$stmt->bindParam(':imv_tpi_codigo', $dados['imv_tpi_codigo']);
		$stmt->bindParam(':imv_ims_codigo', $dados['imv_ims_codigo']);
		$stmt->bindParam(':imv_titulo', $dados['imv_titulo']);
		$stmt->bindParam(':imv_descricao', $dados['imv_descricao']);
		$stmt->bindParam(':imv_endereco', $dados['imv_endereco']);
		$stmt->bindParam(':imv_numero', $dados['imv_numero']);
		$stmt->bindParam(':imv_complemento', $dados['imv_complemento']);
		$stmt->bindParam(':imv_publicado', $dados['imv_publicado']);
		$stmt->bindParam(':imv_valor', str_replace(',', '.', str_replace('.', '', $dados['imv_valor'])));
		$stmt->bindParam(':imv_iptu', str_replace(',', '.', str_replace('.', '', $dados['imv_iptu'])));
		$stmt->bindParam(':imv_condominio', str_replace(',', '.', str_replace('.', '', $dados['imv_condominio'])));
		$stmt->bindParam(':imv_outrastaxas', str_replace(',', '.', str_replace('.', '', $dados['imv_outrastaxas'])));
		$stmt->bindParam(':imv_observacao',$dados['imv_observacao']);
        $stmt->bindParam(':imv_codigo', $dados['imv_codigo']);
		$stmt->bindParam(':imv_mapa',$dados['imv_mapa']);
		$stmt->bindParam(':imv_reservado',$dados['imv_reservado']);
		$stmt->bindParam(':imv_destaque',$dados['imv_destaque']);
        $stmt->execute();
    }
 
    public function delete($id) {
		$query = "delete from imovel_imv ".
				 "where imv_codigo = :imv_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':imv_codigo', $id);
        $stmt->execute();
    }

    public function selecionaImovel($id) {
        $stmt   = $this->con->connect()->prepare("select * from imovel_imv where imv_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaImoveis() {
        $stmt   = $this->con->connect()->prepare("select * from imovel_imv");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

}