<?php
class ImovelStatus {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            $this->insert($dados);
        else
            $this->update($dados);
    }
 
    private function insert($dados) {

		$query = "insert into imovelstatus_ims ".
				 "(ims_nome, ims_publicado) ".
				 "VALUES ".
				 "(:ims_nome, :ims_publicado) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
        $stmt->bindParam(':ims_nome', $dados['ims_nome']);
		$stmt->bindParam(':ims_publicado', $dados['ims_publicado']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update imovelstatus_ims set ".
				 "ims_nome = :ims_nome, ims_publicado = :ims_publicado ".
				 "where ims_codigo = :ims_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':ims_nome', $dados['ims_nome']);
		$stmt->bindParam(':ims_publicado', $dados['ims_publicado']);
        $stmt->bindParam(':ims_codigo', $dados['ims_codigo']);
        $stmt->execute();
    }
 
     public function delete($id) {
		$query = "delete from imovelstatus_ims ".
				 "where ims_codigo = :ims_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':ims_codigo', $id);
        $stmt->execute();
    }

	public function selecionaImovelStatus($id) {
        $stmt   = $this->con->connect()->prepare("select * from imovelstatus_ims where ims_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaImovelStatuss() {
        $stmt   = $this->con->connect()->prepare("select * from imovelstatus_ims");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

}