<?php
class ImvCat {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            $this->insert($dados);
        else
            $this->update($dados);
    }
 
    private function insert($dados) {
		$query = "insert into imvcat_imc ".
				 "(imc_imv_codigo, imc_cat_codigo, imc_valor ) ".
				 "VALUES ".
				 "(:imc_imv_codigo, :imc_cat_codigo, :imc_valor) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
        $stmt->bindParam(':imc_imv_codigo', $dados['imc_imv_codigo']);
		$stmt->bindParam(':imc_cat_codigo', $dados['imc_cat_codigo']);
		$stmt->bindParam(':imc_valor', str_replace(',', '.', str_replace('.', '', $dados['imc_valor'])));
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update imvcat_imc set imc_valor = :imc_valor where imc_imv_codigo = :imc_imv_codigo and imc_cat_codigo = :imc_cat_codigo";
		$stmt = $this->con->connect()->prepare($query);
		$stmt->bindParam(':imc_valor', str_replace(',', '.', str_replace('.', '', $dados['imc_valor'])));
        $stmt->bindParam(':imc_imv_codigo', $dados['imc_imv_codigo']);
		$stmt->bindParam(':imc_cat_codigo', $dados['imc_cat_codigo']);
        $stmt->execute();
    }
 
   public function delete($id) {
		$query = "delete from imvcat_imc ".
				 "where imc_imv_codigo = :imc_imv_codigo";
		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':imc_imv_codigo', $id);
        $stmt->execute();
    }

    public function selecionaImvCat($id) {
        $stmt   = $this->con->connect()->prepare("");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaImvCats() {
        $stmt   = $this->con->connect()->prepare("select * from imvcat_imc");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

    public function selecionaImvCatsByImovel($id) {
        $stmt   = $this->con->connect()->prepare("select * from imvcat_imc where imc_imv_codigo = :imc_imv_codigo");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

}