<?php
class J4RUsuario {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            $this->insert($dados);
        else
            $this->update($dados);
    }
 
    private function insert($dados) {

		$query = "insert into site_usuarios ".
				 "(id, local, nome, senha, tipo, ord) ".
				 "VALUES ".
				 "(:id, :local, :nome, :senha, :tipo, :ord) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
        $stmt->bindParam(':id', $dados['id']);
		$stmt->bindParam(':local', $dados['local']);
		$stmt->bindParam(':nome', $dados['nome']);
		$stmt->bindParam(':senha', $dados['senha']);
		$stmt->bindParam(':tipo', $dados['tipo']);
		$stmt->bindParam(':ord', $dados['ord']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update site_usuarios set ".
				 "local = :local, nome = :nome, senha = :senha, tipo = :tipo, ord = :ord ".
				 "where id = :id";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':id', $dados['id']);
		$stmt->bindParam(':local', $dados['local']);
		$stmt->bindParam(':nome', $dados['nome']);
		$stmt->bindParam(':senha', $dados['senha']);
		$stmt->bindParam(':tipo', $dados['tipo']);
		$stmt->bindParam(':ord', $dados['ord']);
        $stmt->execute();
    }
 
    public function delete($id) {
		$query = "delete from site_usuarios ".
				 "where id = :id";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':id', $id);
        $stmt->execute();
    }

    public function selecionaJ4RUsuario($id) {
        $stmt   = $this->con->connect()->prepare("select * from site_usuarios where id = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaJ4RUsuarios() {
        $stmt   = $this->con->connect()->prepare("select * from site_usuarios");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

    public function ChecaLogin($login, $senha) {
        $stmt   = $this->con->connect()->prepare("select * from site_usuarios where id = :login and senha = :senha");
        $stmt->bindParam(':login', $login);
        $stmt->bindParam(':senha', $senha);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }	

}