<?php
class J4RUsuDoc {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            $this->insert($dados);
        else
            $this->update($dados);
    }
 
    private function insert($dados) {

		$query = "insert into site_usudoc ".
				 "(id, local, doc, ord) ".
				 "VALUES ".
				 "(:id, :local, :doc, :ord) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
        $stmt->bindParam(':id', $dados['id']);
        $stmt->bindParam(':local', $dados['local']);
        $stmt->bindParam(':doc', $dados['doc']);
        $stmt->bindParam(':ord', $dados['ord']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update site_usudoc set ".
				 "local = :local ".
				 "doc = :doc ".
				 "ord = :ord ".
				 "where id = :id";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':id', $dados['id']);
        $stmt->bindParam(':local', $dados['local']);
        $stmt->bindParam(':doc', $dados['doc']);
        $stmt->bindParam(':ord', $dados['ord']);
        $stmt->execute();
    }
 
    public function delete($id) {
		$query = "delete from site_usudoc ".
				 "where id = :id";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':id', $id);
        $stmt->execute();
    }

    public function selecionaJ4RUsuDoc($id, $ord) {
        $stmt   = $this->con->connect()->prepare("select * from site_usudoc where id = :id and ord = :ord");
        $stmt->bindParam(':id', $id);
        $stmt->bindParam(':ord', $ord);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaJ4RUsuDocs() {
        $stmt   = $this->con->connect()->prepare("select * from site_usudoc");
        $stmt->execute();
		//print_r($stmt->errorInfo());
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

    public function selecionaJ4RUsuDocByUsuario($id) {
        $stmt   = $this->con->connect()->prepare("select * from site_usudoc where id = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }
}