<?php
class Modelo {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            $this->insert($dados);
        else
            $this->update($dados);
    }
 
    private function insert($dados) {
		
		
		$query = "insert into modelo_mod ".
				 "(mod_modelo) ".
				 "VALUES ".
				 "(:mod_modelo) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
        $stmt->bindParam(':mod_modelo', $dados['mod_modelo']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update modelo_mod set ".
				 "mod_modelo = :mod_modelo ".
				 "where mod_codigo = :mod_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':anu_titulo', $dados['anu_titulo']);
        $stmt->bindParam(':anu_codigo', $dados['id']);
        $stmt->execute();
    }
 
    public function selecionaModelo($id) {
        $stmt   = $this->con->connect()->prepare("select * from modelo_mod where mod_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaModelos() {
        $stmt   = $this->con->connect()->prepare("select * from modelo_mod");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

}