<?php
class Noticia {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            $this->insert($dados);
        else
            $this->update($dados);
    }
 
    private function insert($dados) {

		$query = "insert into noticia_not ".
				 "(not_titulo, not_conteudo, not_imagem, not_ordem, not_publicado) ".
				 "VALUES ".
				 "(:not_titulo, :not_conteudo, :not_imagem, :not_ordem, :not_publicado) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);       
		$stmt->bindParam(':not_titulo', $dados['not_titulo']);
		$stmt->bindParam(':not_conteudo', $dados['not_conteudo']);
		$stmt->bindParam(':not_imagem', $dados['not_imagem']);
		$stmt->bindParam(':not_ordem', $dados['not_ordem']);
		$stmt->bindParam(':not_publicado', $dados['not_publicado']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update noticia_not set ".
				 "not_titulo = :not_titulo, not_conteudo = :not_conteudo, not_imagem = :not_imagem, not_ordem = :not_ordem, not_publicado = :not_publicado ".
				 "where not_codigo = :not_codigo";

		$stmt = $this->con->connect()->prepare($query);
		$stmt->bindParam(':not_titulo', $dados['not_titulo']);
		$stmt->bindParam(':not_conteudo', $dados['not_conteudo']);
		$stmt->bindParam(':not_imagem', $dados['not_imagem']);
		$stmt->bindParam(':not_ordem', $dados['not_ordem']);
		$stmt->bindParam(':not_publicado', $dados['not_publicado']);
        $stmt->bindParam(':not_codigo', $dados['not_codigo']);
        $stmt->execute();
    }
 
    public function delete($id) {
		$query = "delete from noticia_not ".
				 "where not_codigo = :not_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':not_codigo', $id);
        $stmt->execute();
    }

    public function selecionaNoticia($id) {
        $stmt   = $this->con->connect()->prepare("select * from noticia_not where not_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaNoticias() {
        $stmt   = $this->con->connect()->prepare("select * from noticia_not order by not_ordem");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

}