<?php
class TipoImovel {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            return $this->insert($dados);
        else {
            $this->update($dados);
			return $dados['id'];
		}
    }
 
    private function insert($dados) {

		$query = "insert into tipoimovel_tpi ".
				 "(tpi_nome) ".
				 "VALUES ".
				 "(:tpi_nome) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
        $stmt->bindParam(':tpi_nome', $dados['tpi_nome']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update tipoimovel_tpi set ".
				 "tpi_nome = :tpi_nome ".
				 "where tpi_codigo = :tpi_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':tpi_nome', $dados['tpi_nome']);
        $stmt->bindParam(':tpi_codigo', $dados['tpi_codigo']);
        $stmt->execute();
    }
 
    public function delete($id) {
		$query = "delete from tipoimovel_tpi ".
				 "where tpi_codigo = :tpi_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':tpi_codigo', $id);
        $stmt->execute();
    }

    public function selecionaTipoImovel($id) {
        $stmt   = $this->con->connect()->prepare("select * from tipoimovel_tpi where tpi_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaTipoImoveis() {
        $stmt   = $this->con->connect()->prepare("select * from tipoimovel_tpi");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

}