<?php
class TpiCat {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
		$this->insert($dados);
    }
 
    private function insert($dados) {

		$query = "insert into tpicat_tpc ".
				 "(tpc_tpi_codigo, tpc_cat_codigo ) ".
				 "VALUES ".
				 "(:tpc_tpi_codigo, :tpc_cat_codigo) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
        $stmt->bindParam(':tpc_tpi_codigo', $dados['tpc_tpi_codigo']);
		$stmt->bindParam(':tpc_cat_codigo', $dados['tpc_cat_codigo']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
  
    public function delete($id) {
		$query = "delete from tpicat_tpc ".
				 "where tpc_tpi_codigo = :tpc_tpi_codigo";
		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':tpc_tpi_codigo', $id);
        $stmt->execute();
    }

    public function selecionaTpiCat($id) {
        $stmt   = $this->con->connect()->prepare("");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaTpiCats() {
        $stmt   = $this->con->connect()->prepare("select * from tpicat_tpc");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

}