<?php
class Banner {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            $this->insert($dados);
        else
            $this->update($dados);
    }
 
    private function insert($dados) {

		$query = "insert into banner_ban ".
				 "(ban_nome, ban_banner, ban_tipo, ban_ordem, ban_link) ".
				 "VALUES ".
				 "(:bai_nome, :ban_banner, :ban_tipo, :ban_ordem, :ban_link) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
        $stmt->bindParam(':ban_nome', $dados['ban_nome']);
		$stmt->bindParam(':ban_banner', $dados['ban_banner']);
		$stmt->bindParam(':ban_tipo', $dados['ban_tipo']);
		$stmt->bindParam(':ban_ordem', $dados['ban_ordem']);
		$stmt->bindParam(':ban_link', $dados['ban_link']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update banner_ban set ".
				 "ban_nome = :ban_nome, ban_banner = :ban_banner, ban_tipo = :ban_tipo, ban_ordem = :ban_ordem, ban_link = :ban_link ".
				 "where ban_codigo = :ban_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':ban_nome', $dados['ban_nome']);
		$stmt->bindParam(':ban_banner', $dados['ban_banner']);
		$stmt->bindParam(':ban_tipo', $dados['ban_tipo']);
		$stmt->bindParam(':ban_ordem', $dados['ban_ordem']);
		$stmt->bindParam(':ban_link', $dados['ban_link']);
        $stmt->bindParam(':ban_codigo', $dados['ban_codigo']);
        $stmt->execute();
    }
 
    public function selecionaBanner($id) {
        $stmt   = $this->con->connect()->prepare("select * from banner_ban where ban_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaBanners() {
        $stmt   = $this->con->connect()->prepare("select * from banner_ban order by ban_ordem");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

    public function selecionaBannersByTipo($tipo) {
        $stmt   = $this->con->connect()->prepare("select * from banner_ban where ban_tipo = :ban_tipo order by ban_ordem");
		$stmt->bindParam(':ban_tipo', $tipo);
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }
}