<?php
class Depoimento {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            $this->insert($dados);
        else
            $this->update($dados);
    }
 
    private function insert($dados) {

		$query = "insert into depoimento_dep ".
				 "(dep_nome, dep_texto) ".
				 "VALUES ".
				 "(:dep_nome, :dep_texto) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);       
		$stmt->bindParam(':dep_nome', $dados['dep_nome']);
		$stmt->bindParam(':dep_texto', $dados['dep_texto']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update depoimento_dep set ".
				 "dep_nome = :dep_nome, dep_texto = :dep_texto ".
				 "where dep_codigo = :dep_codigo";

		$stmt = $this->con->connect()->prepare($query);
		$stmt->bindParam(':dep_nome', $dados['dep_nome']);
		$stmt->bindParam(':dep_texto', $dados['dep_texto']);
        $stmt->bindParam(':dep_codigo', $dados['dep_codigo']);
        $stmt->execute();
    }
 
    public function delete($id) {
		$query = "delete from depoimento_dep ".
				 "where dep_codigo = :dep_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':dep_codigo', $id);
        $stmt->execute();
    }

    public function selecionaDepoimento($id) {
        $stmt   = $this->con->connect()->prepare("select * from depoimento_dep where dep_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaDepoimentos() {
        $stmt   = $this->con->connect()->prepare("select *, rand() as indice  from depoimento_dep order by indice");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

    public function randomizaDepoimento() {
        $stmt   = $this->con->connect()->prepare("select *, rand() as indice  from depoimento_dep order by indice");
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
}