<?php
class Usuario {
    private $con;
 
    public function __construct() {
        $this->con = new Conexao();
    }   
 
    public function save($dados) {
        if(empty($dados['id']))
            $this->insert($dados);
        else
            $this->update($dados);
    }
 
    private function insert($dados) {

		$query = "insert into usuario_usu ".
				 "(usu_nome, usu_login, usu_senha, usu_ativo) ".
				 "VALUES ".
				 "(:usu_nome, :usu_login, :usu_senha, :usu_ativo) ";
				
        $conexao = $this->con->connect();
		$stmt = $conexao->prepare($query);
        $stmt->bindParam(':usu_nome', $dados['usu_nome']);
		$stmt->bindParam(':usu_login', $dados['usu_login']);
		$stmt->bindParam(':usu_senha', $dados['usu_senha']);
		$stmt->bindParam(':usu_ativo', $dados['usu_ativo']);
        $stmt->execute();
		return $conexao->lastInsertId();		
    }
 
    private function update($dados) {
		$query = "update usuario_usu set ".
				 "usu_nome = :usu_nome, usu_login = :usu_login, usu_senha = :usu_senha, usu_ativo = :usu_ativo ".
				 "where usu_codigo = :usu_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':usu_nome', $dados['usu_nome']);
		$stmt->bindParam(':usu_login', $dados['usu_login']);
		$stmt->bindParam(':usu_senha', $dados['usu_senha']);
		$stmt->bindParam(':usu_ativo', $dados['usu_ativo']);
        $stmt->bindParam(':usu_codigo', $dados['usu_codigo']);
        $stmt->execute();
    }
 
    public function delete($id) {
		$query = "delete from usuario_usu ".
				 "where usu_codigo = :usu_codigo";

		$stmt = $this->con->connect()->prepare($query);
        $stmt->bindParam(':usu_codigo', $id);
        $stmt->execute();
    }

    public function selecionaUsuario($id) {
        $stmt   = $this->con->connect()->prepare("select * from usuario_usu where usu_codigo = :id");
        $stmt->bindParam(':id', $id);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }
 
    public function selecionaUsuarios() {
        $stmt   = $this->con->connect()->prepare("select * from usuario_usu");
        $stmt->execute();
        $resultado = $stmt->fetchAll();
        return $resultado;
    }

    public function ChecaLogin($login, $senha) {
        $stmt   = $this->con->connect()->prepare("select * from usuario_usu where usu_login = :login and usu_senha = :senha");
        $stmt->bindParam(':login', $login);
        $stmt->bindParam(':senha', $senha);
        $stmt->execute();
        $resultado = $stmt->fetch();
        return $resultado;
    }	

}